%define version	3.15
%define release	%mkrel 3
%define subrel	1

%define xinit_level	80

Name:		bluez-utils
Version:	%{version}
Release:	%{release}
Summary:	Official Bluetooth utilities for linux
Source0:	http://bluez.sourceforge.net/download/%{name}-%{version}.tar.lzma
Source1:	bluetooth.init
Source2:	pand.init
Source3:	dund.init
Source4:	hidd.init
Source5:	bluetooth.conf
Source6:	pand.conf
Source7:	dund.conf
Source8:	hidd.conf
Source9:	rfcomm.conf
Source10:	hidd.hotplug
Source11:	hidd.udev.rules
Source12:	%{name}.bash-completion
# (fc) 2.8-2mdk change default configuration (Fedora)
Patch0:		bluez-utils-defaultconf.patch
# (fc) 2.25-4mdk fix cups backend location for x86-64
Patch3:		bluez-utils-2.25-fixcups.patch
# kmobiletools backport of standard auth by pin exec prog
# http://kmobiletools.org/files/bluez-pin-exec-patch-r2.diff.bz2
Patch4:		bluez-utils-3.9-pin-exec.patch
Patch5:		bluez-utils-3.15-CVE-2008-2374.patch

URL:		http://bluez.sourceforge.net/
License:	GPLv2+
Group:		Communications
BuildRequires:	dbus-devel flex bison kernel-source
BuildRequires:	bluez-devel >= %{version} libusb-devel
BuildRequires:	libalsa-devel udev-tools automake >= 1.9
Requires:	python bluez-pin
Provides:	bluez-sdp bluez-sdp
Provides:	bluez-pan bluez-pan
Provides:	bluez-hciemu bluez-hciemu
Suggests:	bluez-firmware

Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
These are the official Bluetooth utilities for Linux.

WARNING: it is HIGHLY recommanded to change your system Bluetooth
PIN code in /etc/bluetooth/pin.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package        cups
Summary:        CUPS printer backend for Bluetooth printers
Group:          System/Servers
Requires:       cups

%description    cups
This package contains the CUPS backend for Bluetooth printers.

%prep
%setup -q
%patch0 -p1 -b .defaultconf
%patch3 -p1 -b .fixcups
%patch4 -p1 -b .auth
%patch5 -p1 -b .cve-2008-2374


#needed by patch3
FORCE_AUTOCONF_2_5=1 AUTOMAKE="automake --add-missing" autoreconf

%build
%configure2_5x --enable-all --with-bluez-libs=%{_libdir}
%make CFLAGS="$RPM_OPT_FLAGS -fpic"

%install
rm -rf %{buildroot}
%{makeinstall_std}

rm -f %{buildroot}%{_libdir}/alsa-lib/*.la

cat << EOF > %{buildroot}%{_sysconfdir}/bluetooth/pin
1234
EOF

chmod 600 %{buildroot}%{_sysconfdir}/bluetooth/pin

rm -f %{buildroot}/etc/default/bluetooth %{buildroot}/etc/init.d/bluetooth
for a in bluetooth dund hidd pand ; do
        install -D -m0755 $RPM_SOURCE_DIR/$a.init %{buildroot}%{_sysconfdir}/rc.d/init.d/$a
        install -D -m0644 $RPM_SOURCE_DIR/$a.conf %{buildroot}%{_sysconfdir}/sysconfig/$a
done

mkdir -p  %{buildroot}%{_sysconfdir}/X11/xinit.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/xinit.d/%{xinit_level}%{name}
if [ ! ${SESSION}="KDE" ]; then
    exec %{_bindir}/passkey-agent --default /bin/bluepin
fi
EOF
chmod 755 %{buildroot}%{_sysconfdir}/X11/xinit.d/%{xinit_level}%{name}

mkdir -p %{buildroot}/sbin
cp %{buildroot}%{_bindir}/hidd %{buildroot}/sbin/
cp %{buildroot}%{_sbindir}/hcid %{buildroot}/sbin/
cp daemon/passkey-agent %{buildroot}%{_bindir}
#cp hcid/dbus-test %{buildroot}%{_bindir}/bluez-dbus-test

install -D -m0755 %{SOURCE10} %{buildroot}/sbin/udev_bluetooth_helper
install -D -m0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/udev/rules.d/60-bluetooth.rules

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -fr %{buildroot}

%post
update-alternatives --install /bin/bluepin bluepin /usr/bin/bluepin 5
%_post_service bluetooth
%_post_service dund
%_post_service hidd
%_post_service pand

%preun
%_preun_service bluetooth
%_preun_service dund
%_preun_service hidd
%_preun_service pand

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove bluepin /usr/bin/bluepin 
fi
 
%triggerpostun -- bluez-utils < 2.9-1mdk
/sbin/chkconfig bluetooth reset

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog hcid/dbus-api.txt
/sbin/*
%{_sbindir}/*
%{_bindir}/*
%{_sysconfdir}/udev/bluetooth.rules
%{_sysconfdir}/udev/rules.d/60-bluetooth.rules
%{_libdir}/udev/bluetooth_serial
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/*.conf
%config(noreplace) %{_sysconfdir}/bluetooth
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%{_sysconfdir}/X11/xinit.d/%{xinit_level}%{name}
%{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man*/*

%files cups
%defattr(-, root, root)
%{_prefix}/lib/cups/backend/bluetooth



%changelog
* Mon Jul 14 2008 Vincent Danen <vdanen@mandriva.com> 3.15-3.1mdv2008.0
- P5: security fix for CVE-2008-2374

* Thu Sep 13 2007 Adam Williamson <awilliamson@mandriva.com> 3.15-3mdv2008.0
+ Revision: 85163
- suggest rather than require bluez-firmware
- Fedora license policy
- small clean (tabs vs. spaces)

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 3.15-2mdv2008.0
+ Revision: 79509
- kdebluetooth not need passkey agent anymore. This was preventing proper pin dialog works

* Mon Aug 27 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.15-1mdv2008.0
+ Revision: 72051
- new release: 3.15

* Wed Aug 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.14-1mdv2008.0
+ Revision: 63630
- cleanups
- new release: 3.14

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 3.13-1mdv2008.0
+ Revision: 58070
- 3.13

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 3.11-2mdv2008.0
+ Revision: 41208
- fix autotools version-specific calls
- provide and obsolete bluez-hciemu

* Mon May 28 2007 Olivier Blin <oblin@mandriva.com> 3.11-1mdv2008.0
+ Revision: 31949
- bzip2 source

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version
    - bash completion

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Bugfixe release

* Thu May 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.10-1mdv2008.0
+ Revision: 26181
- New version

* Fri Apr 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.9-6mdv2008.0
+ Revision: 18818
- rebuild for pkgconfig deps


* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 3.9-5mdv2007.0
+ Revision: 133499
- require bluez-firmware instead of bluez-bluefw

* Mon Feb 12 2007 Olivier Blin <oblin@mandriva.com> 3.9-4mdv2007.1
+ Revision: 120186
- restore passkey-agent (#28555)

* Tue Jan 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.9-3mdv2007.1
+ Revision: 115605
- Bump release
- New version 3.9

* Sun Jan 21 2007 Olivier Blin <oblin@mandriva.com> 3.8-3mdv2007.1
+ Revision: 111360
- using the service command to start bluetooth and hidd services in udev helper (the previous "hcid -i" command was invalid)
- do not do anything on remove action in udev helper (and anyway "del" was not the correct action name)
- fix logger path in udev helper
- run udev helper on add/remove actions only
- fix exit status of bluetooth and hidd initscripts
- do not check hidd in bluetooth service status

  + Frederic Crozat <fcrozat@mandriva.com>
    - add dbus-api.txt to packaged documentation

* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 3.8-2mdv2007.1
+ Revision: 107684
- start passkey-agent at X11 session startup (#24359)
- update passkey-agent patch to latest upstream version

* Thu Jan 11 2007 Frederic Crozat <fcrozat@mandriva.com> 3.8-1mdv2007.1
+ Revision: 107446
- Regenerate patch0 and apply it
- clean specfile
- remove patch5 (merged upstream)
- start hcid with all dbus api enabled

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 3.8

* Tue Dec 12 2006 Frederic Crozat <fcrozat@mandriva.com> 3.7-2mdv2007.1
+ Revision: 95791
- Patch5: fix crash with dbus 1.0 (Mdv bug #27355)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix File List

* Wed Sep 13 2006 Helio Chissini de Castro <helio@mandriva.com> 3.4-3mdv2007.0
+ Revision: 61038
- Added pin helper patch to enable old non dbus behavior as a fallback

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix some rpmlint errors

* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.4-1mdv2007.0
+ Revision: 58990
- New version 3.4
- import bluez-utils-3.2-2mdv2007.0

* Tue Aug 15 2006 Austin Acton <austin@mandriva.org> 3.2-2mdv2007.0
- include passkey-agent and dbus-test (#24359)

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 3.2-1mdv2007.0
- 3.2
- drop patch 1, bluepin gone
- drop patch 2, merged upstream

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.25-6mdv2007.0
- Rebuild with latest dbus

* Sat Jun 17 2006 Austin Acton <austin@mandriva.org> 2.25-1mdv2007.0
- Rebuild

* Sat Apr 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.25-4mdk
- Fix cups backend location for x86-64

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 2.25-3mdk
- rebuild for new dbus on x86_64

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.25-2mdk
- Rebuild with new dbus

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.25-1mdk
- New release 2.25

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.24-4mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.24-3mdk
- convert parallel init to LSB (Sources 1, 2, 3, 4)

* Tue Jan 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.24-2mdk
- Update sources 1, 2, 3 with parallel init info

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.24-1mdk
- New release 2.24
- Remove Patch 3 : Merged upstream

* Sat Oct 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.21-3mdk
- Patch3 (Fedora): allow late use of dbus

* Sat Oct 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.21-2mdk
- Rebuild with new dbus

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.21-1mdk
- New release 2.21

* Fri Sep 16 2005 Olivier Blin <oblin@mandriva.com> 2.19-7mdk
- move hotplug usermap to udev rule for bcm203x

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 2.19-6mdk
- move hotplug agent as /sbin/udev_bluetooth_helper
- Source10: fix it not to use hotplug functions
- Source11: udev rule to run udev_bluetooth_helper
- move hotplug script as udev agent (for bcm203x module)
- make pcmcia bluetooth script executable (Makefile.am is wrong)
- don't ship obsolete devfsd configuration file (Source9)

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 2.19-5mdk
- let's require the firmware just so everyone can join in the fun
  (bug #10785)

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 2.19-4mdk
- fix firmware location (bugs 10786, 17474)

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-3mdk
- fix rpmlint errors (PreReq)

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-2mdk
- fix rpmlint errors (PreReq)

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-1mdk
- New release 2.19

* Sat Jul 30 2005 Olivier Blin <oblin@mandriva.com> 2.18-2mdk
- remove the rfcomm module when the service is stopped,
  to avoid some laptops to hang at shutdown

* Tue Jul 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.18-1mdk
- New release 2.18

* Wed May 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.17-1mdk
- New release 2.17

* Sun May 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.16-2mdk
- add BuildRequires: libalsa-devel

* Sat Apr 30 2005 Nicolas Lecureuil <neoclust@mandriva.org> 2.16-1mdk
- New release 2.16
- Fix buildrequires
- Fix Files section thanks couriousous for your Help and advices

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.14-1mdk
- New release 2.14
- Regenerate patches 0 & 2

* Sat Dec 25 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.10-4mdk
- fix buildrequires
- fix summary-ended-with-dot

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10-3mdk
- Patch2 (flepied): add initonly (-i) to hcid 
- add hotplug script to initialize keyboard/mouse at startup

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10-2mdk
- Update patch0 to disable crypt and auth by default, they conflicts with
  BT keyboard/mouse

* Mon Sep 13 2004 Austin Acton <austin@mandrake.org> 2.10-1mdk
- 2.10

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.9-1mdk
- Release 2.9
- Enable all extra support
- Add status to initscript and change level for shutdown

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8-2mdk
- Patch0 (Fedora): fix default configuration
- Patch1 : don't set HOME in bluepin
- Enable dbus
- Use dbus to request PIN and requires bluez-pin for this
- Change default PIN to a numeric-only PIN, otherwise many devices
won't be able to authenticate (based on Edd Dumbill hints)
- Replace default initscript with Fedora ones : configuration is now stored
in /etc/sysconfig/bluetooth (and pand, dund, hidd)
- Add cups subpackage
- Add alternative for bluepin, use alternative by default
- Add devfsd config file for rfcomm
- Add back service registration in post/postun

* Sun Jul 18 2004 Austin Acton <austin@mandrake.org> 2.8-1mdk
- 2.8

* Mon Jun 14 2004 Austin Acton <austin@mandrake.org> 2.7-4mdk
- use GTK popup for pin rather than local file (James Gregory)

* Sun May 23 2004 Austin Acton <austin@mandrake.org> 2.7-3mdk
- fix prefixes (Reinout van Schouwen)

* Mon May 17 2004 Austin Acton <austin@mandrake.org> 2.7-2mdk
- remove chkconfig macros

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 2.7-1mdk
- 2.7
- obsoletes bluez-pan
- configure 2.5

* Sun May 02 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-2mdk
- Osoletes bluez-sdp

* Sat May 01 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-1mdk
- 2.6

